// this is for the hidden variant of CollectLogs

function AppAssistant(appController) {
  console.info("AppAssistant")
  this.appController = appController;
}

function StageAssistant(stageController) {
  this.stageController = stageController
  this.stageController.pushScene("main");
}

AppAssistant.prototype.handleRelaunch = function() {
	var stageMgr = Mojo.Controller.getAppController().getStageMgr();
	if (stageMgr.stageExists("collectlogs")) {
		this.appController.getStageMgr().focusStage("collectlogs");
	} else {
		var f = function(stageController) {
			this.stageController = stageController;
			stageController.pushScene('collectlogs');
		}.bind(this);
		Mojo.Controller.getAppController().createStageWithCallback("collectlogs", f);
	}
}
